### Hierarchy

- FlowNodeHandlerFactory

### Implements

- IFlowNodeHandlerFactory

## Index

### Constructors

- constructor

### Properties

- container
- datastoreService
- invoker

### Methods

- create

## Constructors

### constructor

- new FlowNodeHandlerFactory(container: Container<IInstanceWrapper<any>>, invoker: IInvoker, datastoreService: IDatastoreService): FlowNodeHandlerFactory

- - Defined in execution/handler/flow_node_handler_factory.ts:16

  #### Parameters

  - ##### container: Container<IInstanceWrapper<any>>

  - ##### invoker: IInvoker

  - ##### datastoreService: IDatastoreService

  #### Returns FlowNodeHandlerFactory

## Properties

### Private container

container: Container<IInstanceWrapper<any>>

- Defined in execution/handler/flow_node_handler_factory.ts:14

### Private datastoreService

datastoreService: IDatastoreService

- Defined in execution/handler/flow_node_handler_factory.ts:16

### Private invoker

invoker: IInvoker

- Defined in execution/handler/flow_node_handler_factory.ts:15

## Methods

### create

- create(flowNodeTypeName: "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"): IFlowNodeHandler

- Implementation of IFlowNodeHandlerFactory.create

  - Defined in execution/handler/flow_node_handler_factory.ts:24

  #### Parameters

  - ##### flowNodeTypeName: "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"

  #### Returns IFlowNodeHandler

Generated using TypeDoc